Bug 199861 - HAL doesn't find USB printers
HAL doesn't find USB printers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 07:57 EDT by John Himpel
Modified: 2013-03-13 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 15:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from lshal (94.78 KB, text/plain)
2006-07-25 10:12 EDT, John Himpel
no flags Details

  None (edit)
Description John Himpel 2006-07-23 07:57:51 EDT
Description of problem:
CUPS and HAL fail to communicate properly


Version-Release number of selected component (if applicable):
cups-1.2.2-3
cups-1.2.2-3
dbus-0.90-8

How reproducible:
using cups web-based interface 


Steps to Reproduce:
1. localhost:631
2. Manage Printers
3. Start Printers
  
Actual results:
From /var/log/cups/error_log
E [23/Jul/2006:06:54:17 -0500] cupsdAcceptClient: skipping getpeercon()
I [23/Jul/2006:06:54:17 -0500] Started "/usr/lib/cups/cgi-bin/admin.cgi" (pid=2743)
E [23/Jul/2006:06:54:17 -0500] cupsdAcceptClient: skipping getpeercon()
E [23/Jul/2006:06:54:17 -0500] Resume-Printer: Unauthorized
E [23/Jul/2006:06:54:17 -0500] cupsdAcceptClient: skipping getpeercon()
I [23/Jul/2006:06:54:17 -0500] Saving printers.conf...
I [23/Jul/2006:06:54:17 -0500] Printer "deskjet-880c--1" started by "root".
I [23/Jul/2006:06:54:17 -0500] Started filter /usr/lib/cups/filter/pstops (PID
2744) for job 138.
I [23/Jul/2006:06:54:17 -0500] Started filter /usr/lib/cups/filter/foomatic-rip
(PID 2745) for job 138.
I [23/Jul/2006:06:54:17 -0500] Started backend /usr/lib/cups/backend/hal (PID
2746) for job 138.
E [23/Jul/2006:06:54:17 -0500] [Job 138] Unable to open HAL device
"hal:///org/freedesktop/Hal/devices/usb_device_3f0_104_MY93N151ZNGE_if0_printer_MY93N151ZNGE"
E [23/Jul/2006:06:54:17 -0500] PID 2746 (/usr/lib/cups/backend/hal) stopped with
status 1!
I [23/Jul/2006:06:54:17 -0500] Hint: Try setting the LogLevel to "debug" to find
out more.
E [23/Jul/2006:06:54:20 -0500] PID 2745 (/usr/lib/cups/filter/foomatic-rip)
stopped with status 9!
I [23/Jul/2006:06:54:20 -0500] Hint: Try setting the LogLevel to "debug" to find
out more.
I [23/Jul/2006:06:54:20 -0500] [Job 138] Backend returned status 1 (failed)
I [23/Jul/2006:06:54:20 -0500] Saving printers.conf...
I [23/Jul/2006:06:54:22 -0500] Started "/usr/lib/cups/cgi-bin/admin.cgi" (pid=2755)
E [23/Jul/2006:06:54:22 -0500] cupsdAcceptClient: skipping getpeercon()
E [23/Jul/2006:06:54:22 -0500] cupsdAcceptClient: skipping getpeercon()
I [23/Jul/2006:06:54:22 -0500] Started "/usr/lib/cups/cgi-bin/printers.cgi"
(pid=2756)
E [23/Jul/2006:06:54:22 -0500] cupsdAcceptClient: skipping getpeercon()
E [23/Jul/2006:06:54:22 -0500] cupsdAcceptClient: skipping getpeercon()



Expected results:
Printer to be in "ready" status

Additional info:
System running development (rawhide) as of 7/23/06 - i386
Comment 1 Tim Waugh 2006-07-24 06:10:11 EDT
/usr/lib/cups/backend/hal comes from hal-cups-utils, not cups.

John, lshal isn't showing any printers for me still.  Don't you think that's
actually what the printer is?

Try this: lshal | grep "'printer'"

(looking for 'capabilities: { 'printer' }')
Comment 2 John Himpel 2006-07-24 06:48:45 EDT
Tim,
I get:
[user@host ~]$ lshal | grep "'printer'"
[user@host ~]$ 
Comment 3 Tim Waugh 2006-07-24 06:57:22 EDT
So hal needs fixing.
Comment 4 John Himpel 2006-07-24 19:13:39 EDT
[user@host ~]$ rpm -q dbus
dbus-0.90-8
[user@host ~]$ rpm -q hal
hal-0.5.7-13
[user@host ~]$ rpm -q udev
udev-095-3
[user@host ~]$ 

Comment 5 Tim Waugh 2006-07-25 09:53:07 EDT
Tested with 0.5.7-14: still broken.  J5, got any other hal fixes up your sleeve? :-)
Comment 6 John Himpel 2006-07-25 10:12:51 EDT
Created attachment 132986 [details]
output from lshal

The HP Printer is listed.
See entries at line 526 and 559
Comment 7 Tim Waugh 2006-07-25 10:32:39 EDT
john@jlhimpel-net -- no, the USB printer *interface* is listed, despite the fact
that it shows the serial number of the printer connected to it.

We're looking for an entry with info.capabilities containing 'printer', as in
this FC5 entry:

udi =
'/org/freedesktop/Hal/devices/usb_device_3f0_2911_MY2CVF42CR0G_if1_printer_MY2CVF42CR0G'
  info.udi =
'/org/freedesktop/Hal/devices/usb_device_3f0_2911_MY2CVF42CR0G_if1_printer_MY2CVF42CR0G'
 (string)
  info.callouts.remove = {'/usr/sbin/hal_lpadmin -x'} (string list)
  info.addons = {'/usr/sbin/hal_lpadmin -p'} (string list)
  printer.serial = 'MY2CVF42CR0G'  (string)
  printer.product = 'PSC 2200 Series'  (string)
  printer.vendor = 'Hewlett-Packard'  (string)
  info.vendor = 'Hewlett-Packard'  (string)
  linux.device_file = '/dev/usb/lp0'  (string)
  linux.subsystem = 'usb'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  printer.physical_device =
'/org/freedesktop/Hal/devices/usb_device_3f0_2911_MY2CVF42CR0G_if1'  (string)
  printer.device = '/dev/usb/lp0'  (string)
  info.product = 'PSC 2200 Series'  (string)
  info.capabilities = {'printer'} (string list)
  info.category = 'printer'  (string)
  info.parent =
'/org/freedesktop/Hal/devices/usb_device_3f0_2911_MY2CVF42CR0G_if1'  (string)
  linux.sysfs_path_device =
'/sys/devices/pci0000:00/0000:00:02.0/usb1/1-2/1-2:1.1'  (string)
  linux.sysfs_path = '/sys/class/usb/lp0'  (string)

If you happen to have FC5 on that machine as well, I expect you'll be able to
see the missing entries by comparing the lshal output from that with the lshal
output you attached.
Comment 8 John (J5) Palmieri 2006-07-26 15:14:28 EDT
Fixed in Rawhide hal-0.5.7.1-2.fc6

Should be fixed in FC5 once I can figure out why the same exact package is not
building there.
Comment 9 Tim Waugh 2006-07-27 08:18:57 EDT
Fix confirmed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.